Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.model.impl
Class VTTemplatePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecp.view.template.model.impl.VTTemplatePackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, VTTemplatePackage

    public class VTTemplatePackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements VTTemplatePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.view.template.model.VTTemplatePackage
`VTTemplatePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.template.model.VTTemplatePackage
`CONTROL_VALIDATION_TEMPLATE, CONTROL_VALIDATION_TEMPLATE__CANCEL_COLOR_HEX, CONTROL_VALIDATION_TEMPLATE__CANCEL_IMAGE_URL, CONTROL_VALIDATION_TEMPLATE__CANCEL_OVERLAY_URL, CONTROL_VALIDATION_TEMPLATE__ERROR_COLOR_HEX, CONTROL_VALIDATION_TEMPLATE__ERROR_IMAGE_URL, CONTROL_VALIDATION_TEMPLATE__ERROR_OVERLAY_URL, CONTROL_VALIDATION_TEMPLATE__INFO_COLOR_HEX, CONTROL_VALIDATION_TEMPLATE__INFO_IMAGE_URL, CONTROL_VALIDATION_TEMPLATE__INFO_OVERLAY_URL, CONTROL_VALIDATION_TEMPLATE__OK_COLOR_HEX, CONTROL_VALIDATION_TEMPLATE__OK_IMAGE_URL, CONTROL_VALIDATION_TEMPLATE__OK_OVERLAY_URL, CONTROL_VALIDATION_TEMPLATE__WARNING_COLOR_HEX, CONTROL_VALIDATION_TEMPLATE__WARNING_IMAGE_URL, CONTROL_VALIDATION_TEMPLATE__WARNING_OVERLAY_URL, CONTROL_VALIDATION_TEMPLATE_FEATURE_COUNT, CONTROL_VALIDATION_TEMPLATE_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, STYLE, STYLE__PROPERTIES, STYLE__SELECTOR, STYLE_FEATURE_COUNT, STYLE_OPERATION_COUNT, STYLE_PROPERTY, STYLE_PROPERTY_FEATURE_COUNT, STYLE_PROPERTY_OPERATION_COUNT, STYLE_SELECTOR, STYLE_SELECTOR_FEATURE_COUNT, STYLE_SELECTOR_OPERATION_COUNT, VIEW_TEMPLATE, VIEW_TEMPLATE__CONTROL_VALIDATION_CONFIGURATION, VIEW_TEMPLATE__REFERENCED_ECORES, VIEW_TEMPLATE__STYLES, VIEW_TEMPLATE_FEATURE_COUNT, VIEW_TEMPLATE_OPERATION_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_CancelColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_CancelImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_CancelOverlayURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_ErrorColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_ErrorImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_ErrorOverlayURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_InfoColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_InfoImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_InfoOverlayURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_OkColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_OkImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_OkOverlayURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_WarningColorHEX()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_WarningImageURL()`
`org.eclipse.emf.ecore.EAttribute` | `getControlValidationTemplate_WarningOverlayURL()`
`org.eclipse.emf.ecore.EClass` | `getControlValidationTemplate()`
`org.eclipse.emf.ecore.EReference` | `getStyle_Properties()`
`org.eclipse.emf.ecore.EReference` | `getStyle_Selector()`
`org.eclipse.emf.ecore.EClass` | `getStyle()`
`org.eclipse.emf.ecore.EClass` | `getStyleProperty()`
`org.eclipse.emf.ecore.EClass` | `getStyleSelector()`
`VTTemplateFactory` | `getTemplateFactory()`
`org.eclipse.emf.ecore.EReference` | `getViewTemplate_ControlValidationConfiguration()`
`org.eclipse.emf.ecore.EAttribute` | `getViewTemplate_ReferencedEcores()`
`org.eclipse.emf.ecore.EReference` | `getViewTemplate_Styles()`
`org.eclipse.emf.ecore.EClass` | `getViewTemplate()`
`static VTTemplatePackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static VTTemplatePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `VTTemplatePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `VTTemplatePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getViewTemplate

    public org.eclipse.emf.ecore.EClass getViewTemplate()

  Specified by:
    `getViewTemplate` in interface `VTTemplatePackage`
  Returns:
    the meta object for class 'View Template'.
  See Also:
    `VTViewTemplate`

### getViewTemplate_ControlValidationConfiguration

    public org.eclipse.emf.ecore.EReference getViewTemplate_ControlValidationConfiguration()

  Specified by:
    `getViewTemplate_ControlValidationConfiguration` in interface `VTTemplatePackage`
  Returns:
    the meta object for the containment reference 'Control Validation Configuration'.
  See Also:
    `VTViewTemplate.getControlValidationConfiguration()`, `VTTemplatePackage.getViewTemplate()`

### getViewTemplate_Styles

    public org.eclipse.emf.ecore.EReference getViewTemplate_Styles()

  Specified by:
    `getViewTemplate_Styles` in interface `VTTemplatePackage`
  Returns:
    the meta object for the containment reference list 'Styles'.
  See Also:
    `VTViewTemplate.getStyles()`, `VTTemplatePackage.getViewTemplate()`

### getViewTemplate_ReferencedEcores

    public org.eclipse.emf.ecore.EAttribute getViewTemplate_ReferencedEcores()

  Specified by:
    `getViewTemplate_ReferencedEcores` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute list 'Referenced Ecores'.
  See Also:
    `VTViewTemplate.getReferencedEcores()`, `VTTemplatePackage.getViewTemplate()`

### getControlValidationTemplate

    public org.eclipse.emf.ecore.EClass getControlValidationTemplate()

  Specified by:
    `getControlValidationTemplate` in interface `VTTemplatePackage`
  Returns:
    the meta object for class 'Control Validation Template'.
  See Also:
    `VTControlValidationTemplate`

### getControlValidationTemplate_OkColorHEX

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_OkColorHEX()

  Specified by:
    `getControlValidationTemplate_OkColorHEX` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Ok Color HEX'.
  See Also:
    `VTControlValidationTemplate.getOkColorHEX()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_OkImageURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_OkImageURL()

  Specified by:
    `getControlValidationTemplate_OkImageURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Ok Image URL'.
  See Also:
    `VTControlValidationTemplate.getOkImageURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_OkOverlayURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_OkOverlayURL()

  Specified by:
    `getControlValidationTemplate_OkOverlayURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Ok Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getOkOverlayURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_InfoColorHEX

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_InfoColorHEX()

  Specified by:
    `getControlValidationTemplate_InfoColorHEX` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Info Color HEX'.
  See Also:
    `VTControlValidationTemplate.getInfoColorHEX()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_InfoImageURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_InfoImageURL()

  Specified by:
    `getControlValidationTemplate_InfoImageURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Info Image URL'.
  See Also:
    `VTControlValidationTemplate.getInfoImageURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_InfoOverlayURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_InfoOverlayURL()

  Specified by:
    `getControlValidationTemplate_InfoOverlayURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Info Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getInfoOverlayURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_WarningColorHEX

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_WarningColorHEX()

  Specified by:
    `getControlValidationTemplate_WarningColorHEX` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Warning Color HEX'.
  See Also:
    `VTControlValidationTemplate.getWarningColorHEX()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_WarningImageURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_WarningImageURL()

  Specified by:
    `getControlValidationTemplate_WarningImageURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Warning Image URL'.
  See Also:
    `VTControlValidationTemplate.getWarningImageURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_WarningOverlayURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_WarningOverlayURL()

  Specified by:
    `getControlValidationTemplate_WarningOverlayURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Warning Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getWarningOverlayURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_ErrorColorHEX

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_ErrorColorHEX()

  Specified by:
    `getControlValidationTemplate_ErrorColorHEX` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Error Color HEX'.
  See Also:
    `VTControlValidationTemplate.getErrorColorHEX()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_ErrorImageURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_ErrorImageURL()

  Specified by:
    `getControlValidationTemplate_ErrorImageURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Error Image URL'.
  See Also:
    `VTControlValidationTemplate.getErrorImageURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_ErrorOverlayURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_ErrorOverlayURL()

  Specified by:
    `getControlValidationTemplate_ErrorOverlayURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Error Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getErrorOverlayURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_CancelColorHEX

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_CancelColorHEX()

  Specified by:
    `getControlValidationTemplate_CancelColorHEX` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Cancel Color HEX'.
  See Also:
    `VTControlValidationTemplate.getCancelColorHEX()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_CancelImageURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_CancelImageURL()

  Specified by:
    `getControlValidationTemplate_CancelImageURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Cancel Image URL'.
  See Also:
    `VTControlValidationTemplate.getCancelImageURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getControlValidationTemplate_CancelOverlayURL

    public org.eclipse.emf.ecore.EAttribute getControlValidationTemplate_CancelOverlayURL()

  Specified by:
    `getControlValidationTemplate_CancelOverlayURL` in interface `VTTemplatePackage`
  Returns:
    the meta object for the attribute 'Cancel Overlay URL'.
  See Also:
    `VTControlValidationTemplate.getCancelOverlayURL()`, `VTTemplatePackage.getControlValidationTemplate()`

### getStyle

    public org.eclipse.emf.ecore.EClass getStyle()

  Specified by:
    `getStyle` in interface `VTTemplatePackage`
  Returns:
    the meta object for class 'Style'.
  See Also:
    `VTStyle`

### getStyle_Selector

    public org.eclipse.emf.ecore.EReference getStyle_Selector()

  Specified by:
    `getStyle_Selector` in interface `VTTemplatePackage`
  Returns:
    the meta object for the containment reference 'Selector'.
  See Also:
    `VTStyle.getSelector()`, `VTTemplatePackage.getStyle()`

### getStyle_Properties

    public org.eclipse.emf.ecore.EReference getStyle_Properties()

  Specified by:
    `getStyle_Properties` in interface `VTTemplatePackage`
  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `VTStyle.getProperties()`, `VTTemplatePackage.getStyle()`

### getStyleProperty

    public org.eclipse.emf.ecore.EClass getStyleProperty()

  Specified by:
    `getStyleProperty` in interface `VTTemplatePackage`
  Returns:
    the meta object for class 'Style Property'.
  See Also:
    `VTStyleProperty`

### getStyleSelector

    public org.eclipse.emf.ecore.EClass getStyleSelector()

  Specified by:
    `getStyleSelector` in interface `VTTemplatePackage`
  Returns:
    the meta object for class 'Style Selector'.
  See Also:
    `VTStyleSelector`

### getTemplateFactory

    public VTTemplateFactory getTemplateFactory()

  Specified by:
    `getTemplateFactory` in interface `VTTemplatePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.